$("#payment_teqpay_card").on("change", function () {
    selectedText = $(this).find("option:selected").text();
    selectedVal = $(this).find("option:selected").val();
    if( selectedVal == "" ){
        $(".cardForm").show();
    }else{
        $(".cardForm").hide();
        getInstallmentsByCard( selectedText );
    }
});

$("#payment_teqpay_taksit").on("change", function(){
    $("#payment_teqpay_total").val( $(this).find(':selected').data('total') );
});

function getInstallment(val) {
    var len = val.value.length;
    if (len == 6 || len == 16) {
        getInstallmentsByCard(val.value)
    }
};

function getInstallmentsByCard(cardN) {

    $.ajax(teqpay_ajax_url + "?getInstallments=1", {
        type: 'POST',
        data: {card: cardN},
        //contentType: "application/json",
        dataType: "json",
        success: function (data, status, xhr) {
            $("#payment_teqpay_taksit option").remove();
            $.each(data.taksitler, function (key, value) {

                if(key == 1)
                    $("#payment_teqpay_total").val( value.toplam );

                $('#payment_teqpay_taksit').append(
                    $("<option></option>").attr("value", key).text(value.text).attr("data-total", value.toplam)
                );
            });
        },
        error: function (jqXhr, textStatus, errorMessage) {
            alert('Error' + errorMessage);
        }
    });
}


